import { EventEmitter, OnInit } from '@angular/core';
import { LoaderService } from './services/loader.service';
export declare class PsmFaceCaptchaComponent implements OnInit {
    private loaderService;
    imgCamera: string;
    imgSwitch: string;
    cameraAspect: any;
    instruction: string;
    onerror: EventEmitter<any>;
    onloader: EventEmitter<boolean>;
    ondata: EventEmitter<any>;
    private blazefaceModel;
    private mobilenetModel;
    constructor(loaderService: LoaderService);
    ngOnInit(): void;
    validateInputData(): void;
    loadBlazeFace(): Promise<void>;
    loadMobilenet(): Promise<void>;
    getPrediction(canvas: HTMLCanvasElement): Promise<void>;
    sendError(): void;
    getLoaderState(): void;
}
